package com.hchyun.test.entity;

import com.hchyun.common.annotation.Excel;
import com.hchyun.common.core.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 成绩对象 sys_results
 *
 * @author hchyun
 * @date 2021-01-24
 */
@ApiModel("成绩")
public class Results extends BaseEntity {


    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 学生id
     */
    @Excel(name = "学生id")
    @ApiModelProperty("学生id")
    private Long sId;

    /**
     * java成绩
     */
    @Excel(name = "java成绩")
    @ApiModelProperty("java成绩")
    private Long java;

    /**
     * 图片路径
     */
    @Excel(name = "图片路径")
    @ApiModelProperty("图片路径")
    private String images;

    /**
     * 文件路径
     */
    @Excel(name = "文件路径")
    @ApiModelProperty("文件路径")
    private String file;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setsId(Long sId) {
        this.sId = sId;
    }

    public Long getsId() {
        return sId;
    }

    public void setJava(Long java) {
        this.java = java;
    }

    public Long getJava() {
        return java;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getImages() {
        return images;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFile() {
        return file;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sId", getsId())
                .append("java", getJava())
                .append("images", getImages())
                .append("file", getFile())
                .toString();
    }
}
